<?php
/**
 * datum setup
 *
 * @package datum
 * @since   3.2.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Main datum Class.
 *
 * @class datum
 */
if(!class_exists('WP_List_Table')){
   require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}

if (!class_exists('listing')) {
	class listing {
		public function output($template_path){
			global $post,$property,$single_property, $datum_user,$mypropertylist, $favritesProperty,$userAccess, $propertyListingType;
			$propertyId = get_query_var('args');
			$propertyListingType = 2;
			if( $propertyId != '' ) {

				$id = "property/".$propertyId;
				$data = DM_Curl::HTTPGet($id);
				$property = json_decode($data);
				
				$single_property = $property->data;

				$data = DM_Curl::HTTPGet('user');
				$datum_user = json_decode($data);
				if($property->status == 'failed'){
				?>
					<script type="text/javascript">
						window.location.href = '<?php echo home_url(); ?>';
					</script>
				<?php
				} else {
					/**
				 * Detect plugin. For use on Front End only.
				 */

            		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
					if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) || is_plugin_active( 'wordpress-seo-premium/wp-seo-premium.php' ) ) {
            			$front_end = YoastSEO()->classes->get( Yoast\WP\SEO\Integrations\Front_End_Integration::class );
	        				remove_action( 'wpseo_head', [ $front_end, 'present_head' ], -9999 );
					}
					if($single_property->ListingStatus == 'Closed'){
	            	$template_path = DM_ABSPATH . '/template/datum_closed_single_property.php';
					}else{
	            	$template_path = DM_ABSPATH . '/template/datum_single_property.php';
					}
				}
			}else{
				if ( $theme_file = locate_template( array ($template_path ) ) ) {   
					$template_path = $theme_file;
				} else {	
					$data 		= DM_Curl::HTTPPost(array(),'user-page-access');
					$userAccess = json_decode($data);
					$template_path = DM_ABSPATH . '/template/datum_listing.php';
				}
			}
			return $template_path;
		}

		public function propertyTypeOutput($template_path){
			global $post,$property,$single_property, $datum_user,$mypropertylist, $favritesProperty,$userAccess;
			$propertyId = get_query_var('args');
			$data 		= DM_Curl::HTTPPost(array(),'user-page-access');
        	$userAccess = json_decode($data);
			if(!empty($_SERVER['REQUEST_URI'])){
				$url = explode('/', $_SERVER['REQUEST_URI']);
				if(isset($url[4]) && $url[4] != '') {

					$propertyId = $url[4];
					$id = "property/".$propertyId.'/1/2';
					$data = DM_Curl::HTTPGet($id);
	            $property = json_decode($data);
	            $single_property = $property->data;
	          
	            	if(empty($single_property)){
	            		?>
						<script type="text/javascript">
							window.location.href = '<?php echo home_url('listings/for-sale/'); ?>';
						</script>
					<?php
	            	}

	            	$data = DM_Curl::HTTPGet('user');
					$datum_user = json_decode($data);
					$property_type_name = $single_property->PropertyType;
		        	if($property_type_name == 'Land/Development'){
		            	$property_type_name = 'Land-Development';
		        	}
		        	add_filter( 'wpseo_canonical', 'getDMPropertyCanonicalURL', 10 );
            	add_filter( 'body_class','addSinglePageClass' );
					return $template_path = DM_ABSPATH . '/template/datum_single_property.php';
				} else {
					return $template_path = DM_ABSPATH . '/template/datum_listing.php';
				}
			} else {
				return $template_path = DM_ABSPATH . '/template/datum_listing.php';
			}
		}

		public function propertyLeaseTypeOutput($template_path){
			global $post,$property,$single_property, $datum_user,$mypropertylist, $favritesProperty,$userAccess;
			$propertyId = get_query_var('args');
			$data 		= DM_Curl::HTTPPost(array(),'user-page-access');
        	$userAccess = json_decode($data);
			if(!empty($_SERVER['REQUEST_URI'])){
				$url = explode('/', $_SERVER['REQUEST_URI']);
				if(isset($url[4]) && $url[4] != '') {
					$propertyId = $url[4];
					$id = "property/".$propertyId.'/1/1';
					$data = DM_Curl::HTTPGet($id);
					// pr($data);
					// die;
					$property = json_decode($data);
					
					$single_property = $property->data;

	            	$data = DM_Curl::HTTPGet('user');
					$datum_user = json_decode($data);
					$property_type_name = $single_property->PropertyType;
		        	if($property_type_name == 'Land/Development'){
		            $property_type_name = 'Land-Development';
		        	}
		        	add_filter( 'wpseo_canonical', 'getDMPropertyCanonicalURL', 10 );
            		add_filter( 'body_class','addSinglePageClass' );
					return $template_path = DM_ABSPATH . '/template/datum_single_lease_property.php';
				} else {
					return $template_path = DM_ABSPATH . '/template/datum_lease_listings.php';
				}
			} else {
				return $template_path = DM_ABSPATH . '/template/datum_lease_listings.php';
			}
		}

		public function propertyTypeClosedOutput($template_path){
			global $post,$property,$single_property, $datum_user,$mypropertylist, $favritesProperty,$userAccess;
			$data 		= DM_Curl::HTTPPost(array(),'user-page-access');
        	$userAccess = json_decode($data);

			if(!empty($_SERVER['REQUEST_URI'])){
				$url = explode('/', $_SERVER['REQUEST_URI']);
				if(isset($url[4]) && $url[4] != ''){
					$propertyId = $url[4];
					$id = "property/".$propertyId.'/1';
					$data = DM_Curl::HTTPGet($id);
	            $property = json_decode($data);
	            $single_property = $property->data;
	            $data = DM_Curl::HTTPGet('user');
					$datum_user = json_decode($data);

					$property_type_name = $single_property->PropertyType;
		        	if($property_type_name == 'Land/Development'){
		            $property_type_name = 'Land-Development';
		        	}
		        	add_filter( 'wpseo_canonical', 'getDMPropertyCanonicalURL', 10 );
		        	add_filter( 'body_class','addSinglePageClass' );

		        	add_filter( 'wpseo_canonical', 'getDMPropertyCanonicalURL', 10 );

					//if($userAccess->type == 'Approved'){
						add_filter( 'body_class','addSinglePageClass' );
						return $template_path = DM_ABSPATH . '/template/datum_closed_single_property.php';
					// }else{
					// 	wp_redirect(home_url('listings/closed'));
					// 	exit;
					// }
				} else {
					global $datum_closed_post;
					$datum_closed_post = 'Closed';
					return $template_path = DM_ABSPATH . '/template/datum_closed.php';
				}
			} else {
				global $datum_closed_post;
				$datum_closed_post = 'Closed';
				return $template_path = DM_ABSPATH . '/template/datum_closed.php';
			}
		}
	}
}

function addSinglePageClass($classes){
	$classes[] = 'single_pdp_page';
  	return $classes;
}