(function($) {
    $(document).ready(function() {
        $(".open-gallery-popup").click( function() {
            var jsonImages = "";
            var title = $(this).attr("data-type");
            var suitesId = $(this).attr("data-suitid");
            var htitle = $(this).attr("data-htitle");

            if ( title == "View Floor Plan") {
                jsonImages = $("#view-floor-plan-"+$(this).attr("data-suitid")).val();
                var jsonData = JSON.parse(jsonImages)
                var imgObject = [];
                jsonData.forEach(function(floorPlan, index) {
                    var data = [];
                    data["fileName"] = floorPlan?.mdImage;
                    data["thumbnailImage"] = floorPlan?.smImage;;
                    data["type"] = "image";
                    imgObject.push(data);
                });
                showSuitesGalleryPopup(imgObject, suitesId, $(this).attr("data-type"), htitle);
            } else if ( title == "View Photos & Videos" ) {
                jsonImages = $("#view-photos-videos-"+$(this).attr("data-suitid")).val();
                var jsonData = JSON.parse(jsonImages);
                var imgObject = [];
                jsonData.forEach(function(floorPlan, index) {
                    var data = [];
                    if(floorPlan?.IsVideo == "1") {
                        data["fileName"] = floorPlan?.FileName;
                        data["thumbnailImage"] = floorPlan?.VideoThumbnail;
                        data["type"] = 'video';   
                    } else {
                        data["fileName"] = floorPlan?.lgImage;
                        data["thumbnailImage"] = floorPlan?.smImage;;
                        data["type"] = 'image';   
                    }
                    imgObject.push(data);
                });
                showSuitesGalleryPopup(imgObject, suitesId, $(this).attr("data-type"), htitle);
            } else if (  title == "360 View" ) {
                jsonImages = $("#360-view-"+$(this).attr("data-suitid")).val();
                var jsonData = JSON.parse(jsonImages);
                var imgObject = [];
                jsonData.forEach(function(floorPlan, index) {
                    var data = [];
                    data["fileName"] = floorPlan?.lgImage;
                    data["thumbnailImage"] = floorPlan?.smImage;;
                    data["type"] = "image";
                    imgObject.push(data);
                });
                showSuitesGallery3DPopup( imgObject, suitesId = "", type = "", htitle );
            }
        })
    });

    function showSuitesGallery3DPopup ( jsonImages = [], suitesId = "", type = "", title) {
        $('.datum_signup_popup').html('');
        $('.datum_login_popup_html').html('');
        $('.datum_forgot_popup').html('');

        var sliderContentThmb = "";
        sliderContentThmb += '<div class="product__slider-thmb">';
            if ( jsonImages.length >= 1 ) {
                jsonImages.forEach(function(item, index){
                    sliderContentThmb += '<div class="slide" data-index="'+index+'"><img src="'+item?.thumbnailImage+'" alt="" class="img-responsive"></div>';
                });
            }
        sliderContentThmb += '</div>';

        var sliderContentSlider = "";
        sliderContentSlider += '<div class="product__slider-main">';
        if ( jsonImages.length >= 1 ) {
            sliderContentSlider += '<div class="slide" data-index="1"><div id="panorama"></div></div>';
        } else {
            sliderContentSlider += '<div class="slide" data-index="1"><div id="message">The 3D view image for this suite is currently unavailable.</div></div>';
        }
        sliderContentSlider += '</div>';
            
        var classBlank = "";
        if ( jsonImages.length >= 1 ) {
            classBlank = "";
        } else {
            classBlank = "blank-message";
        }
        var html = "";
        html += '<div class="datum_modal_wrapper datum_modal_wrapper_signup datum_modal_transition datum_suites_images_model">';
            html += '<div class="datum_login_popupbox">';
                html += '<div class="modal-body">';
                    html += '<h2>'+title+'</h2>';
                    html += '<a class="datum_login_close" href="javascript:void(0);">&times;</a>';
                html += '</div>';

                html += '<div class="datum_login_content">';
                    html += '<div class="datum_login_con for-lease-popup-gallery '+classBlank+'" style="margin-top: 10px;">';
                        html += sliderContentSlider;
                        if ( jsonImages.length >= 1 ) {
                            html += sliderContentThmb;
                        }
                    html += '</div>';
                html += '</div>';
            html += '</div>';
        html += '</div>';

        $('#datum_popup_html').html(html);

        if(!$('#comman_model').hasClass('is-visible')) {
            $('#comman_model').toggleClass('is-visible');
        }
        if($('body').hasClass('datum_opened_modal')) {
            $('body').removeClass('datum_opened_modal');
        }
        if ( jsonImages.length >= 1 ) {
            $('.product__slider-thmb .slide[data-index="0"]').addClass("current");
            pannellum.viewer('panorama', {
                "type": "equirectangular",
                "panorama": (jsonImages.length <= 1) ? jsonImages[0].fileName : "",
                "autoLoad": true,
                "showControls": false
            });
        }

        $(".product__slider-thmb .slide img").on("click", function() {
            if ( $(this).parent().hasClass("current") ) {
                return false;
            }
            var index = $(this).parent().attr("data-index");
            $(".product__slider-thmb .slide").removeClass("current");
            $(this).parent().addClass("current");
            let imageURL = $(this).attr("src");
            pannellum.viewer('panorama', {
                "type": "equirectangular",
                "panorama": imageURL,
                "autoLoad": true,
                "showControls": false
            });
        })
    }

    function showSuitesGalleryPopup ( jsonImages = [], suitesId = "", type = "", title) {
        $('.datum_signup_popup').html('');
        $('.datum_login_popup_html').html('');
        $('.datum_forgot_popup').html('');
        var dynamicClass = "";
        let message = "";
        if ( type == "View Floor Plan" ) {
            dynamicClass = "floor-plan-slider-img";
            message = "The floor plan image for this suite is currently unavailable.";
        } else {
            message = "The photos and videos for this suite is currently unavailable.";
        }
        var classBlank = "";
        if ( jsonImages.length >= 1 ) {
            classBlank = "";
        } else {
            classBlank = "blank-message";
        }
        var sliderContentThmb = "";
        sliderContentThmb += '<div class="product__slider-thmb">';
            if ( jsonImages.length >= 1 ) {
                jsonImages.forEach(function(item, index){
                    if(item?.type == "image") {
                        sliderContentThmb += '<div class="slide" data-index="'+index+'"><img src="'+item?.thumbnailImage+'" alt="" class="img-responsive"></div>';
                    } else {
                        sliderContentThmb += '<div class="slide" data-index="'+index+'"><img src="'+item?.thumbnailImage+'" alt="" class="img-responsive"></div>';
                    }
                });
            }
        sliderContentThmb += '</div>';

        var sliderContentSlider = "";
        sliderContentSlider += '<div class="product__slider-main">';
        if ( jsonImages.length >= 1 ) {
            jsonImages.forEach(function(item, index){
                if(item?.type == "image") {
                    sliderContentSlider += '<div class="slide" data-index="'+index+'"><img src="'+item?.fileName+'" alt="" class="img-responsive"></div>';
                } else {
                    sliderContentSlider += '<div class="slide" data-index="'+index+'"><iframe src="'+item?.fileName+'"></iframe></div>';
                }
            });
        } else {
            sliderContentSlider += '<div class="message">'+message+'</div>';
        }
        sliderContentSlider += '</div>';


        var html = "";
        html += '<div class="datum_modal_wrapper datum_modal_wrapper_signup datum_modal_transition datum_suites_images_model">';
            html += '<div class="datum_login_popupbox">';
                html += '<div class="modal-body">';
                    html += '<h2>'+title+'</h2>';
                    html += '<a class="datum_login_close" href="javascript:void(0);">&times;</a>';
                html += '</div>';
                html += '<div class="datum_login_content '+dynamicClass+'">';
                    html += '<div class="datum_login_con for-lease-popup-gallery '+classBlank+'" style="margin-top: 10px;">';
                        html += sliderContentSlider;
                        if ( jsonImages.length >= 1 ) {
                            html += sliderContentThmb;
                        }
                    html += '</div>';
                html += '</div>';
            html += '</div>';
        html += '</div>';

        $('#datum_popup_html').html(html);
        if ( jsonImages.length >= 1 ) {
            var $slider = $('.product__slider-main').slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                draggable: false,
                arrows: true,
                autoplay: false,
                lazyLoad: 'ondemand',
                autoplaySpeed: 3000,
                infinite: false
            });
            $(".product__slider-thmb .slide").removeClass("current");
            $('.product__slider-thmb .slide[data-index="0"]').addClass("current");
            $('.slick-next').on('click', function() {
                var currentSlideIndex = $slider.slick('slickCurrentSlide');
                $(".product__slider-thmb .slide").removeClass("current");
                $('.product__slider-thmb .slide[data-index="'+currentSlideIndex+'"]').addClass("current");
                console.log('Current Slide Index:', currentSlideIndex);
            });
            
            $('.slick-prev').on('click', function() {
                var currentSlideIndex = $slider.slick('slickCurrentSlide');
                $(".product__slider-thmb .slide").removeClass("current");
                $('.product__slider-thmb .slide[data-index="'+currentSlideIndex+'"]').addClass("current");
                console.log('Current Slide Index:', currentSlideIndex);
            });
            $(".product__slider-thmb .slide img").on("click", function() {
                var index = $(this).parent().attr("data-index");
                $(".product__slider-thmb .slide").removeClass("current");
                $(this).parent().addClass("current");
                jQuery('.product__slider-main').slick('slickGoTo', parseInt(index));
            })
        }
        
        if(!$('#comman_model').hasClass('is-visible')) {
            $('#comman_model').toggleClass('is-visible');
        }

        if($('body').hasClass('datum_opened_modal')) {
            $('body').removeClass('datum_opened_modal');
        }
    }
}(jQuery));
