'use strict';

// Class definition
var KTProfileCropperDemo = function () {
    // Private functions
    var initCropper = function () {
        var image = document.getElementById('image');
        image.crossOrigin = "anonymous"; //to allow all images

        var options = {
            responsive: true,
            restore: true,
            dragMode: 'move',
            aspectRatio: aspectRatio,
            checkCrossOrigin: false,
        };
        cropper = new Cropper(image, options);
        var buttons = document.getElementById('cropper-buttons');
        var methods = buttons.querySelectorAll('[data-method]');
        var data;
        methods.forEach(function (button) {
            button.addEventListener('click', function (e) {
                $('.cropper-buttons-left button').removeClass('active');
                $(this).addClass('active');
                var method = button.getAttribute('data-method');
                var target = button.getAttribute('data-target');
                var option = button.getAttribute('data-option');
                var option2 = button.getAttribute('data-second-option');

                var result;
                data = {
                  method: method,
                  target: target,
                  option: button.getAttribute('data-option') || undefined
                };
                if (cropper) {
                    if (option2) {
                        result = cropper[method](option, option2);
                    }
                    else if (option) {
                        try {
                             data.option = JSON.parse(option);
                        }
                        catch (e) {
                        }
                        result = cropper[data.method](data.option);
                    }
                    else {
                        result = cropper[method]();
                    }

                    if (method === 'getCroppedCanvas') {
                        loadingshow();
                        var baseImage = result.toDataURL('image/png');
                        document.getElementsByName("profile_avatar")[0].setAttribute("value", baseImage);
                        //$('#profile_avatar').setAttribute("value", baseImage);
                        $('#cropperjs_model').toggleClass('is-visible');
                        $('#datum_file_show').attr('src',baseImage);
                        $('.kt-avatar__holder').css('background-image', 'url(' + baseImage + ')');
                        /*$('#companylogo').attr('src', baseImage);
                        $('#companylogo').css('background-image', '');*/
                        $("#IsProfileAddOrChanged").val('true');
                        //

                        //imageSrc = baseImage;
                        //$('#image').attr('src', imageSrc);
                        cropper.destroy();
                        cropper = null;
                        imageSrcValid = 1;
                        $('#datum_file_show').show();
                        $('#name_enter_text').hide();
                        loadinghide();
                    }
                }                
            });
        });
    };

    return {
        // public functions
        init: function () {
            initCropper();
        },
    };
}();
