<?php
get_header();

global $single_property;
$post_name  = get_option('datum_property_listing_id');

$dm_post    = get_post($post_name);
if( ! function_exists('formatPhoneNumber')){
    function formatPhoneNumber($phoneNumber) {
        $phoneNumber = preg_replace('/[^0-9]/','',$phoneNumber);
        if(strlen($phoneNumber) == 10) {
            $areaCode = substr($phoneNumber, 0, 3);
            $nextThree = substr($phoneNumber, 3, 3);
            $lastFour = substr($phoneNumber, 6, 4);
            $phoneNumber = $areaCode.'-'.$nextThree.'-'.$lastFour;
        }
        return $phoneNumber;
    }
}
$data       = DM_Curl::HTTPPost(array(),'user-page-access');
$userAccess = json_decode($data);
?>
<h1 style="display: none;"><?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?></h1>
<section class="datum_agent_banner">
    <div class="datum_banner_image">
        <img src="<?php echo DATUM_PLUGIN_URL ?>/images/backgrounds/agent-banner.jpg" alt="properties" class="datum_agent_banner_bg" loading="lazy">
        <div class="container-fluid">
            <div class="datum_agent_mainContent">
                <img src="<?php echo $agentDetails->ProfileImage; ?>" class="datum_agentpic" alt="<?php echo $agentDetails->FirstName ?>">
                <div class="agent_detail">
                    <h4><?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?></h4>
                    <?php if(!empty($agentDetails->Title)){ ?><p class="profile_title"><?php echo $agentDetails->Title; ?></p><?php } ?>
                    <p><span><?php if(!empty($agentDetails->WorkPhone)){?><img src="<?php echo DATUM_PLUGIN_URL ?>/images/icons/phone_banner.png"></span> <a class="work_phone_display" href="tel:<?php echo $agentDetails->WorkPhone; ?>"><?php echo formatPhoneNumber($agentDetails->WorkPhone); ?></a> <?php } ?></p>
                    <p><span><img src="<?php echo DATUM_PLUGIN_URL ?>/images/icons/email_banner.png"></span> 
                        <a href="mailto:<?php echo $agentDetails->Email; ?>"><?php echo $agentDetails->Email; ?></a>
                    </p>
                    <?php if(!empty($agentDetails->Address || $agentDetails->Suite || $agentDetails->City || $agentDetails->State || $agentDetails->ZipCode)){ ?>
                    <p class="agent_phone"><?php echo $agentDetails->Address; if(!empty($agentDetails->Address && $agentDetails->Suite)){echo ', ';} echo $agentDetails->Suite; ?><br> <?php echo $agentDetails->City; if(!empty($agentDetails->City) && !empty($agentDetails->State)){echo ', ';} echo $agentDetails->State; if(!empty($agentDetails->State) && !empty($agentDetails->ZipCode)){echo ' ';} echo $agentDetails->ZipCode; ?>
                    </p>
                    <?php } ?>

                    <p class="agent_lic">
                    <?php 
                    if($agentDetails->get_license != '')
                    {
                        foreach($agentDetails->get_license as $license)
                            {
                                    if(!empty($license->State) && $license->Text != ''){
                                        echo $license->State .' RE Lic. '. $license->Text.'</br>';               
                                    }
                            }
                    } 
                    ?>
                    </p>

                    
                    <?php if(!empty($agentDetails->LinkedIn)){ ?>
                        <a href="<?php echo $agentDetails->LinkedIn; ?>" target="_blank"><svg width="24px" height="24px" viewBox="0 0 24 24" role="img" xmlns="http://www.w3.org/2000/svg" fill="#FFF"><title>LinkedIn icon</title><path d="M20.447 20.452h-3.554v-5.569c0-1.328-.027-3.037-1.852-3.037-1.853 0-2.136 1.445-2.136 2.939v5.667H9.351V9h3.414v1.561h.046c.477-.9 1.637-1.85 3.37-1.85 3.601 0 4.267 2.37 4.267 5.455v6.286zM5.337 7.433c-1.144 0-2.063-.926-2.063-2.065 0-1.138.92-2.063 2.063-2.063 1.14 0 2.064.925 2.064 2.063 0 1.139-.925 2.065-2.064 2.065zm1.782 13.019H3.555V9h3.564v11.452zM22.225 0H1.771C.792 0 0 .774 0 1.729v20.542C0 23.227.792 24 1.771 24h20.451C23.2 24 24 23.227 24 22.271V1.729C24 .774 23.2 0 22.222 0h.003z"/></svg></a>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section>
<div class="datum_wrapper">
    <div class="datum_breadcrumb_div">
        <ul>
            <li> <a href="<?php echo home_url('about-us'); ?>"><?php  _e("Agents",'datum'); ?></a></li>

            <li class="active"><?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?></li>
        </ul>
    </div>
    <section class="datum_agent_aboutUs">
        <div class="datum_row">
            <div class="datum_col_12 datum_pl_0 datum_pr_0">
                <div class="datum_feature-info">
                    <div>
                        <h2 class="datum_headline"><?php echo $agentDetails->FirstName.' '.$agentDetails->LastName; ?></h2>
                    </div>
                    <div class="datum_agent_content">
                        <p><?php echo $agentDetails->Bio; ?></p>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<?php if(!empty($agentDetails->closed_property)) { ?>
<style>
.datum_title-with-border h2:after{background:none !important;}
</style>
<section class="clearfix datum_closed_listings_section">
    <div class="container-fluid overflow-hide">
        <div class="row agent-detail-closed-listing-slider">
            <div class="col-md-12">
                <div class="title-style1">
                    <h2>Closed Listings</h2>
                </div>
                <a href="<?php echo getDMClosedURLPage(); ?>" class="border-btn">View all</a>
            </div>
        </div>
        <?php 
            $count  = count($agentDetails->closed_property);
            $class = "";
            switch ($count) {
                case 1:
                    $class = "closed_listings_slider1";
                    break;
                case 2:
                    $class = "closed_listings_slider2";
                    break;
                default:
                    $class = "closed_listings-slider";
            }
        ?>
        <div class="slider datum_filtered_listing datum_portfolio_item datum_closed_listings-slider <?php echo $class; ?> <?php if($userAccess->type != 'Approved'){ echo 'blur_theme_selection'; } ?>">
                <?php
                foreach ( $agentDetails->closed_property as $key => $value ) {
                    $single_property = $value;
                    ?>
                    <div class="datum_item datum_col_4">
                        <a href="<?php echo getDMProperyURL(); ?>">
                            <div class="datum_property_listing">
                                <div class="datum_img-box">
                                    <div class="datum_slick_carousel slider">
                                    <?php
                                    if(!empty(getDMpropertyOtherImageLG())){
                                        //foreach (getDMOtherImage()[0] as $img_name) {
                                        ?>

                                            <div>
                                                <div class="slide-content"> <img src="<?php echo getDMpropertyOtherImageLG()[0]; ?>" alt="<?php echo getDMPropertyName(); ?>"></div>
                                            </div>

                                        <?php
                                        //}
                                    } else if(!empty(getDMPropertyMyListingMarkerListImageLG())) {
                                        ?>
                                        <div>
                                            <div class="slide-content">
                                                <img src="<?php echo getDMPropertyMyListingMarkerListImageLG(); ?>" alt="<?php echo getDMPropertyImageAltText(); ?>">
                                            </div>
                                        </div>
                                        <?php
                                    } else {
                                        ?>
                                        <div>
                                            <div class="slide-content">
                                                <img src="https://cdn.pixabay.com/photo/2016/11/29/03/53/architecture-1867187_960_720.jpg" alt="">
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                    </div>
                                    <!-- <label class="datum_star_toggle">
                                        <input type="checkbox" />
                                        <div class="datum_icon">
                                            <div class="datum_star"> </div>
                                        </div>
                                    </label> -->
                                    <!-- <span class="datum_property_type_label">Collab</span>  -->
                                </div>
                                <div  class="datum_project_detail">
                                    <div class="datum_project_title">
                                        <div class="datum_project_content">
                                            <h4 class="datum_inner_title"><?php echo getDMPropertyName(); ?></h4>
                                            <p class="datum_inner_subtitle"><?php echo getDMPropertyCity(); ?>, <?php echo  getDMPropertyState(); ?></p>
                                        </div>
                                        <div class="datum_project_price text-blue"> <?php echo getDMPropertyAskingPrice(); ?></div>
                                    </div>
                                    <?php
                                            $propertystatus = getDMPropertyListingStatus();
                                            if (getDMPropertyListingStatus() == 'Offers Due') {
                                                $propertystatus = getDMPropertyListingStatus() .' '.getDMPropertyStatusDate();
                                            }
                                            ?>
                                    <div class="datum_sub-detail">
                                        <div class="datum_project_type"><?php echo getDMPropertyPropertyStatus(); ?></div>
                                        <div class="datum_due_date"><?php echo $propertystatus; ?></div>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                <?php
                
                $s++;
            } ?>
        </div>
        
    </div>
</section>
<?php } ?>
<?php
    get_footer();
?>